Debians sikkerhedsbulletin

DSA-2056-1 zonecheck -- manglende fornuftighedskontrol af inddata

Rapporteret den:
6. jun 2010
Berørte pakker:
zonecheck
Sårbar:
Ja
Referencer i sikkerhedsdatabaser:
I Debians fejlsporingssystem: Fejl 583290.
I Mitres CVE-ordbog: CVE-2010-2052, CVE-2010-2155, CVE-2009-4882.
Yderligere oplysninger:

Man opdagede at i ZoneCheck, et værktøj til at kontrollere DNS-opsætninger, udførte CGI-skriptet ikke tilstrækkelig fornuftighedskontrol af inddata fra brugere. En angriber kunne udnytte sig af problemet og overføre skriptkode, med det formål at udføre skripter på tværs af websteder.

I den stabile distribution (lenny), er dette problem rettet i version 2.0.4-13lenny1.

I distributionen testing (squeeze), er dette problem rettet i version 2.1.1-1.

I den ustabile distribution (sid), er dette problem rettet i version 2.1.1-1.

Vi anbefaler at du opgraderer dine zonecheck-pakker.

Rettet i:

Debian GNU/Linux 5.0 (lenny)

Kildekode:
http://security.debian.org/pool/updates/main/z/zonecheck/zonecheck_2.0.4.orig.tar.gz
http://security.debian.org/pool/updates/main/z/zonecheck/zonecheck_2.0.4-13lenny1.dsc
http://security.debian.org/pool/updates/main/z/zonecheck/zonecheck_2.0.4-13lenny1.diff.gz
Arkitekturuafhængig komponent:
http://security.debian.org/pool/updates/main/z/zonecheck/zonecheck-cgi_2.0.4-13lenny1_all.deb
http://security.debian.org/pool/updates/main/z/zonecheck/zonecheck_2.0.4-13lenny1_all.deb

MD5-kontrolsummer for de listede filer findes i den originale sikkerhedsbulletin.